org.apache.ignite.internal.processors.cache

## Class ExchangeDiscoveryEvents

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.ExchangeDiscoveryEvents

    public class ExchangeDiscoveryEvents
    extends Object

Discovery events processed in single exchange (contain multiple events if exchanges for multiple discovery events are merged into single exchange).

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DiscoCache` `discoveryCache()`
`List<DiscoveryEvent>` `events()`
`boolean` `hasServerJoin()`
`boolean` `hasServerLeft()`
`DiscoveryEvent` `lastEvent()`
`boolean` `nodeJoined(UUID nodeId)`
`void` `processEvents(GridDhtPartitionsExchangeFuture fut)`
`static boolean` `serverJoinEvent(DiscoveryEvent evt)`
`static boolean` `serverLeftEvent(DiscoveryEvent evt)`
`AffinityTopologyVersion` `topologyVersion()`
`String` `toString()`
`void` `warnNoAffinityNodes(GridCacheSharedContext<?,?> cctx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### processEvents

    public void processEvents(GridDhtPartitionsExchangeFuture fut)

Parameters:
  `fut` - Current exchange future.

#### nodeJoined

    public boolean nodeJoined(UUID nodeId)

Parameters:
  `nodeId` - Node ID.
Returns:
  `True` if has join event for give node.

#### events

    public List<DiscoveryEvent> events()

Returns:
  All events.

#### serverLeftEvent

    public static boolean serverLeftEvent(DiscoveryEvent evt)

Parameters:
  `evt` - Event.
Returns:
  `True` if given event is `EventType.EVT_NODE_FAILED` or `EventType.EVT_NODE_LEFT`.

#### serverJoinEvent

    public static boolean serverJoinEvent(DiscoveryEvent evt)

Parameters:
  `evt` - Event.
Returns:
  `True` if given event is `EventType.EVT_NODE_JOINED`.

#### discoveryCache

    public DiscoCache discoveryCache()

Returns:
  Discovery data cache for last event.

#### lastEvent

    public DiscoveryEvent lastEvent()

Returns:
  Last event.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Returns:
  Last event version.

#### hasServerJoin

    public boolean hasServerJoin()

Returns:
  `True` if has event for server join.

#### hasServerLeft

    public boolean hasServerLeft()

Returns:
  `True` if has event for server leave.

#### warnNoAffinityNodes

    public void warnNoAffinityNodes(GridCacheSharedContext<?,?> cctx)

Parameters:
  `cctx` - Context.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018